<html>
<head>
<title>OGRE: Ogre::LogListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1LogListener.html">LogListener</a></div>
<h1>Ogre::LogListener Class Reference</h1><!-- doxytag: class="Ogre::LogListener" --><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Pure Abstract class, derive this class and register to the <a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> to listen to log messages </dd></dl>
 
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1LogListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogListener.html#38f3575c69001d63d3e314e5f058f434">~LogListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogListener.html#34612b88ef8486fb02fefb1b2ff316d0">messageLogged</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;message, <a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml, bool maskDebug, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;logName)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is called whenever the log recieves a message and is about to write it out </dd></dl>
 <a href="#34612b88ef8486fb02fefb1b2ff316d0"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Pure Abstract class, derive this class and register to the <a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> to listen to log messages </dd></dl>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00059">59</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="38f3575c69001d63d3e314e5f058f434"></a><!-- doxytag: member="Ogre::LogListener::~LogListener" ref="38f3575c69001d63d3e314e5f058f434" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::LogListener::~LogListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00062">62</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="34612b88ef8486fb02fefb1b2ff316d0"></a><!-- doxytag: member="Ogre::LogListener::messageLogged" ref="34612b88ef8486fb02fefb1b2ff316d0" args="(const String &amp;message, LogMessageLevel lml, bool maskDebug, const String &amp;logName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::LogListener::messageLogged           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&nbsp;</td>
          <td class="paramname"> <em>lml</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>maskDebug</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>logName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is called whenever the log recieves a message and is about to write it out </dd></dl>

<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>message</em>&nbsp;</td><td>The message to be logged </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>lml</em>&nbsp;</td><td>The message level the log is using </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>maskDebug</em>&nbsp;</td><td>If we are printing to the console or not </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>logName</em>&nbsp;</td><td>the name of this log (so you can have several listeners for different logs, and identify them) </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreLog_8h-source.html">OgreLog.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:17 2008
</p>
</body>
</html>
